Get DDEX monitoring dashboard for the current tenant
curl --request GET \
--url https://api.royalti.io/ddex/monitoring/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/ddex/monitoring/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/ddex/monitoring/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"overview": {
"totalFlows": 123,
"activeFlows": 123,
"completedFlows": 123,
"failedFlows": 123,
"successRate": 123
},
"performance": {
"averageProcessingTime": 123,
"throughputPerHour": 123,
"successRate": 123,
"errorRate": 123,
"queueDepth": 123,
"activeJobs": 123,
"completedJobsLast24h": 123,
"failedJobsLast24h": 123
},
"recentActivity": [
{
"workflowId": "<string>",
"type": "<string>",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"duration": 123
}
],
"errorSummary": [
{
"errorCategory": "<string>",
"count": 123,
"lastOccurred": "2023-11-07T05:31:56Z",
"severity": "<string>"
}
],
"queueMetrics": [
{
"queueName": "<string>",
"waiting": 123,
"active": 123,
"completed": 123,
"failed": 123
}
]
}
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Ddex
Get DDEX monitoring dashboard for the current tenant
Authorization:
- Required role:
adminor higher
GET
/
ddex
/
monitoring
/
dashboard
Get DDEX monitoring dashboard for the current tenant
Description
Authorization:- Required role:
adminor higher
Code Examples
const response = await fetch('https://api.royalti.io/ddex/monitoring/dashboard', {
method: 'GET',
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/ddex/monitoring/dashboard',
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/ddex/monitoring/dashboard \
⌘I